# gdcm::ByteSwap< T > Class Template Reference

ByteSwap. More...

`#include <gdcmByteSwap.h>`

List of all members.

## Static Public Member Functions

static void | Swap (T &p)
static void | SwapFromSwapCodeIntoSystem (T &p, SwapCode const &sc)
static void | SwapRange (T *p, unsigned int num)
static void | SwapRangeFromSwapCodeIntoSystem (T *p, SwapCode const &sc, std::streamoff num)
static bool | SystemIsBigEndian ()
static bool | SystemIsLittleEndian ()

## Detailed Description

### template<class T>
class gdcm::ByteSwap< T >

ByteSwap.

Perform machine dependent byte swaping (Little Endian, Big Endian, Bad Little Endian, Bad Big Endian). TODO: bswap_32 / bswap_64 ...

Examples:

  TestByteSwap.cxx.

## Member Function Documentation

template<class T >

static void gdcm::ByteSwap< T >::Swap | ( | T & | p | ) | `[static]`

template<class T >

static void gdcm::ByteSwap< T >::SwapFromSwapCodeIntoSystem | ( | T & | p,
|  | SwapCode const & | sc
| ) |  | `[static]`

Examples:
  TestByteSwap.cxx.

template<class T >

static void gdcm::ByteSwap< T >::SwapRange | ( | T * | p,
|  | unsigned int | num
| ) |  | `[static]`

template<class T >

static void gdcm::ByteSwap< T >::SwapRangeFromSwapCodeIntoSystem | ( | T * | p,
|  | SwapCode const & | sc,
|  | std::streamoff | num
| ) |  | `[static]`

Examples:
  TestByteSwap.cxx.

template<class T >

static bool gdcm::ByteSwap< T >::SystemIsBigEndian | ( |  | ) | `[static]`

Query the machine Endian-ness.

template<class T >

static bool gdcm::ByteSwap< T >::SystemIsLittleEndian | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- gdcmByteSwap.h